.comments i {
  font-size: 1.7em;
  cursor: pointer;
}
.comment-action {
  padding: 0.5rem;
}
.comments {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1.5rem;
  gap: 1.5rem;
  border: 1px solid #ddd;
  border-radius: 5px;
  margin: 1rem 0;
}
.comments > * {
  padding: 1rem 0;
}
.comment-bottom {
  display: flex;
  justify-content: end;
}
.comment-bottom > * {
  margin-left: 1.5rem;
}
.comment-author {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.comment-author p {
  font-size: var(--font-size-0);
}
.comment-description {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.comment-description input {
  font-size: 1.2rem;
  padding: 1rem 1.5rem;
}
.comment-action {
  position: relative;
}
.toggle-action {
  position: absolute;
  right: 0;
  background-color: #eee;
  padding: 0.5rem;
  border-radius: 5px;
}

.toggle-action div {
  display: flex;
  width: 100%;
  height: 100%;
  cursor: pointer;
  align-items: center;
}
.toggle-action div:hover {
  background-color: #ddd;
  border-radius: 5px;
}

.toggle-action > div > * {
  padding: 0.3rem;
  font-size: 1.4rem;
  color: #222;
}
.blog-update,
.blog-delete {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.blog-update > *,
.blog-delete > * {
  font-size: var(--font-size--2);
}
.comment-description form {
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
}
.comment-description form > * {
  margin: 0.5rem;
}
.edit-action button {
  margin-left: 0.5rem;
  border-radius: 20px;
  padding: 0.5rem 0.8rem;
  font-size: 1rem;
  outline: none;
  border: none;
  font-weight: 500;
  cursor: pointer;
}
.save {
  background-color: #04b0f0;
  color: #fff;
}
.save-disabled {
  background-color: #333;
  color: #ddd;
}
.cancel {
  background-color: inherit;
}
.cancel:hover {
  background-color: #666;
  color: #fff;
}

.comment-description p,
.comment-description span {
  font-size: var(--font-size--1);
  min-width: 0;
  font-weight: 400;
}
